import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:mitra_corporate/provider/auth_provider.dart';

class LogingScreen extends HookConsumerWidget {
  const LogingScreen({super.key});
  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final auth = ref.watch(authProvider);
    return Material(
      child: Container(
        height: MediaQuery.of(context).size.height,
        width: MediaQuery.of(context).size.width,
        padding: EdgeInsets.all(20),
        child: ListView(
          children: [Text("a"), Text("AUTH"), Text(jsonEncode(auth))],
        ),
      ),
    );
  }
}
